ZyanArgParseConfig_(3)

NAME
ZyanArgParseConfig_

SYNOPSIS

#include <ArgParse.h>

  Public Attributes

const char ** argv
ZyanUSize argc
ZyanUSize min_unnamed_args
ZyanUSize max_unnamed_args
ZyanArgParseDefinition * args

Detailed Description

Configuration for argument parsing.

Member Data Documentation

  ZyanUSize ZyanArgParseConfig_::argc
argc argument passed to main by LibC.

  ZyanArgParseDefinition* ZyanArgParseConfig_::args
Argument definition array, or ZYAN_NULL.

Expects a pointer to an array of ZyanArgParseDefinition instances. The array is terminated by setting the .name field of the last element to ZYAN_NULL. If no named arguments should be parsed, you can also set this to ZYAN_NULL.

  const char** ZyanArgParseConfig_::argv
argv argument passed to main by LibC.

  ZyanUSize ZyanArgParseConfig_::max_unnamed_args
Maximum # of accepted unnamed / anonymous arguments.

  ZyanUSize ZyanArgParseConfig_::min_unnamed_args
Minimum # of accepted unnamed / anonymous arguments.

Author

Generated automatically by Doxygen for Zycore from the source code.